Skip to main content
POST
Download a List of Objects
Deprecated on Speckle Cloud and Speckle Enterprise Server 2026.9 and later, where it serves object graphs only. Current on the open-source Speckle Server. To read a bundle version, use the bundle endpoints.

Limits

Recommended max number of objects to download with 1 request: 1000

Response Format

  • If Accept is text/plain, each line of the output contains 1 object in the format: {object_id}\t{object_content}
  • If Accept is application/json, the output is a JSON representation of an array of objects.

Authorizations

Authorization
string
header
required

Personal access token. Get your token from your Speckle profile settings.

Headers

Accept
enum<string>
default:application/json

Response format: 'application/json' returns a JSON array, 'text/plain' returns tab-separated values (object_id\tobject_content)

Available options:
application/json,
text/plain

Path Parameters

projectId
string
required

The ID of the project

Body

application/json
objects
string
required

A JSON-serialized array of object IDs

Example:

"[\"object-id-1\", \"object-id-2\"]"

Response

The requested objects. Format depends on Accept header.

id
string
speckle_type
string
totalChildrenCount
integer
numbers
number[]